<?php
declare(strict_types=1);

namespace Catequil\Webshop\Service;

use Catequil\Webshop\Model\WebshopInterface;

/**
 * Interface WebshopServiceInterface
 *
 * @package Catequil\Webshop\Service
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-webshop
 */
interface WebshopServiceInterface
{
    public function find(int|string $idOrDomain): ?WebshopInterface;
}